import { renderWithClient } from '../../../utils/test/react-query';
import FinancialTab, { TAB_NAMES } from '../financial-tab';
import { mockedSettleRequests } from '../../../mocks/data';

describe('FinancialTab component', () => {
  test('successful render component', async () => {
    const result = renderWithClient(<FinancialTab settleRequests={mockedSettleRequests} />);
    expect(await result.findByTestId('financial-tab')).toBeInTheDocument();
    for (const tabName of TAB_NAMES) {
      expect(await result.findByText(tabName)).toBeInTheDocument();
    }
  });
});
